# eric3.VCS.mercurialPackage.PullDialog

Module implementing the Mercurial Options Dialog for a pull operation.

### Classes

HgPullDialog | Class implementing the Options Dialog for a pull operation.

### Functions

None

## HgPullDialog

Class implementing the Options Dialog for a pull operation.

### Derived from

HgPullForm

### Methods

HgPullDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
handleDirectory | Private slot to display a directory selection dialog.
handleProtocol | Private slot to switch the status of the directory selection button.

### HgPullDialog (Constructor)

HgPullDialog(forIncoming=0, parent=None)

Constructor

forIncoming
  flag indicating a dialog for the hg incoming command (boolean)
parent
  parent widget (QWidget)

### HgPullDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of a string (project directory) and a dictionary containing the data entered.

### HgPullDialog.handleDirectory

handleDirectory()

Private slot to display a directory selection dialog.

### HgPullDialog.handleProtocol

handleProtocol(protocol)

Private slot to switch the status of the directory selection button.

Up